less_dart 2.3.8
less_dart: ^2.3.8 copied to clipboard

Dart native

Native Dart Less compiler/builder to generate .css files from .less sources.

example/example.dart

import 'dart:io';
import 'package:less_dart/less.dart';

void main() {
  final less = Less();
  less.transform(<String>[
    '-no-color',
    '--strict-units=on',
    'test/less/colors.less'
  ]).then((int lessExitCode) {
    stderr
      ..write(less.stderr.toString())
      ..writeln('\nstdout:')
      ..write(less.stdout.toString());
    exitCode = lessExitCode;
  });
}
1
likes
90
pub points
57%
popularity

Native Dart Less compiler/builder to generate .css files from .less sources.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

adalberto.lacruz@gmail.com

License

Apache 2.0 (LICENSE)

Dependencies

build, build_config, meta, mime, package_resolver, path, source_maps, source_span, utf

More

Packages that depend on less_dart